#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N, K, A;
    int broj_zamene = 0;
    int broj_ponavljanja = 1;
    vector<int> resenja;
    cin >> N >> K;
    vector<int> v(N);

    for(int i = 0; i < N; i++)
    {
        cin >> A;
        v[i] = A;
    }
    sort(v.begin(), v.end());
    for(int i = 1; i < v.size(); i++)
    {
        if(v[i - 1] == v[i])
        {
            broj_ponavljanja += 1;
        }
        else
        {
            if(broj_ponavljanja >= K)
            {
                broj_zamene += 1;
                resenja.push_back(v[i - 1]);
            }
            broj_ponavljanja = 1;
        }
    }
    if(broj_ponavljanja >= K)
    {
        broj_zamene += 1;
        resenja.push_back(v[v.size() - 1]);
    }
    cout << broj_zamene << endl;
    for(int i = 0; i < resenja.size(); i++)
    {
        cout << resenja[i] << " ";
    }
    return 0;
}